/*Слава Україні*/
#include <iostream>
#include <cmath>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <queue>

#define int long long

using namespace std;

main()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int k=0;
    for(int i=n-1;i>=0;i--)
    {
        k+=a[i];
        for(int j=i;j>=0;j--)
        {
            if(a[j]!=0 && a[j]!=a[i])a[j]--;
        }
    }
    cout<<k;
}
